@robocoder opened this issue on May 13th 2009

Internet Explorer 7 regressions in 0.2.35: - loading Dashboard, there's an error (Line 13, Char 2817, "Object doesn't support this property or method" - Flash widgets (e.g., "Last visits graph" and "Visits by server time") can no longer be dragged & dropped to change the layout - "Add a widget..." - the screen jumps when I mouseover "Visitor Settings" or "Visitors", making it difficult to select a widget - "Add a widget..." - mouseover "Example Widgets" and then "Piwik Changelog" - the preview window is too tall and it isn't scrollable; you can't access any controls to either add the widget to the dashboard or close the window; the Escape key doesn't work

(My screen resolution is 1440x900.)

I also reported in email last week that on FF3 and IE7, after upgrading, the dashboard no longer loads properly. ("Widget not found") The workaround appears to be: delete the Flash widgets (e.g., Visits by Server Time, Last Visits Graph) from the dashboard, logout, login, and re-add them. It appears other users are experiencing this problem after auto-updating. - http://forum.piwik.org/index.php?showtopic=953

@robocoder commented on May 13th 2009

Clarification: the JavaScript error occurs when I try to drag & drop a Flash widget.

@robocoder commented on May 13th 2009

I can't re-test the "Widget not found" problem as I've already performed my workaround.

The aforementioned regressions are not appearing with Safari 3.2.2, Opera 9.64, and Firefox 3.0.10.

@robocoder commented on May 13th 2009

Interesting: deleting the flash widgets clears up "Add a Widget" problems.

Unfortunately, users are reporting on the forum that the "Add a Widget" link doesn't work.

@robocoder commented on May 13th 2009

Judging from forum posts, deleting "all" widgets appears to be clearing up the problem.

@robocoder commented on May 17th 2009

The Flash widget drag & drop issue is a regression from #243/[886]. The error is occurring in jquery.js (1.2.6) clone() function. It's partly working with jquery.js (1.3.2) -- refresh is broken.

jquery.ui.sortable (1.6; for legacy jquery 1.2.6) isn't a drop-in replacement here. (Besides the minified code -- which includes ui.core dependencies -- is around 48K.)

@robocoder commented on May 18th 2009

Deferring to #510 and reprioritizing. It doesn't look practical to hack on ui.mouse.js and ui.sortable.js (circa Oct 2007; the latter also contains local mods).

This issue was closed on August 13th 2009
Powered by GitHub Issue Mirror